﻿@model ContractsViewModel
@{
    ViewData["Title"] = "بانک قرارداد | تنظیم قرارداد | دانلود قرارداد | لامینگو";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section Meta{

    <meta name="description" content="تنظیم آنلاین قرارداد در لامینگو به همراه پشتیبانی آنلاین می باشد. بانک قرارداد شامل انواع قرارداد تجاری، قرارداد کاری، فرم قرارداد، نمونه قرارداد رایگان" />
    <meta property="og:type" content="وب سایت" />
    <meta property="og:title" content="بانک قرارداد | تنظیم قرارداد | دانلود قرارداد | لامینگو" />
    <meta property="og:description" content="تنظیم آنلاین قرارداد در لامینگو به همراه پشتیبانی آنلاین می باشد. بانک قرارداد شامل انواع قرارداد تجاری، قرارداد کاری، فرم قرارداد، نمونه قرارداد رایگان" />
    <meta property="og:url" content="https://www.lawmingo.com/" />
    <meta property="og:image" content="https://lawmingo.com/Images/Logo/lawmingo-logo-back-web.png" />
    <meta property="og:image:secure_url" content="https://lawmingo.com/Images/Logo/lawmingo-logo-back-web.png" />
    <meta property="og:image:width" content="595" />
    <meta property="og:image:height" content="842" />
    <meta property="og:image:alt" content="لامینگو | سامانه تنظیم آنلاین قرارداد و مشاوره حقوقی " />
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:description" content="تنظیم آنلاین قرارداد در لامینگو به همراه پشتیبانی آنلاین می باشد. بانک قرارداد شامل انواع قرارداد تجاری، قرارداد کاری، فرم قرارداد، نمونه قرارداد رایگان" />
    <meta name="twitter:title" content="بانک قرارداد | تنظیم قرارداد | دانلود قرارداد | لامینگو" />
    <meta name="twitter:image" content="https://lawmingo.com/Images/Logo/lawmingo-logo-back-web.png" />
}


<div class="container-fluid ContractList">
    <div class="container">
        @*<div class="row text-right m-b-20" id="description_ContractType">
                <div class="col-md-6 col-sm-12">
                    <div class="col-12 ContractType-bg">
                        <div class="row">
                            <div class="col-lg-10 col-md-12 col-sm-12 order-2 order-lg-12">
                                <p>تمپلیت‌های قراردادی، نمونه‌های قراردادهای مختلف هستند که در قالب فایل ورد در دسترس شما قرار گرفته‌اند. همانطور که ملاحظه می‌فرمایید این قراردادها بر اساس پیش فرضی از نیاز شما تهیه شده‌اند لذا شخصی سازی شده نیستند. </p>
                            </div>
                            <div class="col-lg-2 col-md-12 col-sm-12 order-1 order-lg-12 d-flex justify-content-center align-items-center">
                                <span class="contractType TE">تمپلیت</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-sm-12">
                    <div class="col-12 ContractType-bg">
                        <div class="row">
                            <div class="col-lg-10 col-md-12 col-sm-12 order-2 order-lg-12">
                                <p>قراردادهای هوشمند، شما را در یک بستر پرسش و پاسخ قرار می‌دهند. شما با پاسخ‌دهی به سوالات هر قرارداد این امکان را به سیستم هوشمند ما می‌دهید تا همانند یک مشاور حقوقی قرارداد را در لحظه برای شما تنظیم و آماده دانلود کند.</p>
                            </div>
                            <div class="col-lg-2 col-md-12  col-sm-12 order-1 order-lg-12 d-flex justify-content-center align-items-center">
                                <span class="contractType SM">هوشمند</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>*@

        <div class="row text-right m-b-20" id="description_ContractType">
            <div class="col-md-6 col-sm-12">
                <div class="col-12 ContractType-bg">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 order-2 order-lg-12">
                            <p>برچسب  <span class="contractType TE">تمپلیت</span> یعنی لامینگو به شما یک نمونه‌ قرارداد از پیش آماده تحویل می‌دهد بدون این که مرحله پرسش و پاسخ هوشمند طی شود.</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-12">
                <div class="col-12 ContractType-bg">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 order-1 order-lg-12">
                            <p>برچسب <span class="contractType SM">هوشمند</span> یعنی لامینگو پس از یک پرسش و پاسخ هوشمند، در لحظه برایتان یک قرارداد سفارشی (و نه یک تمپلیت از پیش آماده) تولید می‌کند.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <ul id="filters" class="filter-bar">
                @{
                    <li data-filter="*" class="active-filter">تمام گروه‌ها</li>
                    foreach (var item in Model.Categories)
                    {
                        <li data-filter=".@item.EnglishName">@item.Name</li>
                    }
                }
                <li id="_reqcontract" data-toggle="modal" data-target="#Modal_req_Contract">قرارداد مورد نیازتان اینجا نیست؟</li>
            </ul>
        </div>

        <div class="row wrapper_contractList">
            @{

                foreach (var contract in Model.Contracts)
                {
                    string catName = "";
                    foreach (var item in contract.CategoryAttachs.Select(e => e.Category))
                    {
                        catName += item.EnglishName + " ";
                    }

                    <div class="col-md-4 col-sm-6 col-xs-12 @catName">
                        <environment include="Development">
                            <div class="col-12 CarD">
                                <a href="https://localhost:5001/Contract-@contract.ContractID/@contract.Name.Trim().Replace(" " , "-")/@contract.EnglishName.Trim().Replace(" " , "-")" title="@contract.Name">
                                    <p class="ContractTitle" title="@contract.Name">
                                        @contract.Name
                                    </p>
                                    <p class="price">
                                        @{
                                            if (contract.Price > 0)
                                            {
                                                <span>@string.Format("{0:n0} ", contract.Price)</span><span>تومان</span>
                                            }
                                            else
                                            {
                                                <span>رایگان</span>
                                            }
                                        }
                                    </p>
                                    @{
                                        if (contract.Type == Contract.ContractType.Smart)
                                        {
                                            <span class="contractType SM">هوشمند</span>
                                        }
                                        else
                                        {
                                            <span class="contractType TE">تمپلیت</span>
                                        }
                                    }
                                </a>
                            </div>
                        </environment>
                        <environment exclude="Development">
                            <div class="col-12 CarD">
                                <a href="https://lawmingo.com/Contract-@contract.ContractID/@contract.Name.Trim().Replace(" " , "-")/@contract.EnglishName.Trim().Replace(" " , "-")" title="@contract.Name">
                                    <p class="ContractTitle" title="@contract.Name">
                                        @contract.Name
                                    </p>
                                    <p class="price">
                                        @{
                                            if (contract.Price > 0)
                                            {
                                                <span>@string.Format("{0:n0} ", contract.Price)</span><span>تومان</span>
                                            }
                                            else
                                            {
                                                <span>رایگان</span>
                                            }
                                        }
                                    </p>
                                    @{
                                        if (contract.Type == Contract.ContractType.Smart)
                                        {
                                            <span class="contractType SM">هوشمند</span>
                                        }
                                        else
                                        {
                                            <span class="contractType TE">تمپلیت</span>
                                        }
                                    }
                                </a>
                            </div>
                        </environment>
                    </div>
                }
            }
        </div>
    </div>
</div>
<div class="modal fade" id="Modal_Confirm" tabindex="-1" role="dialog" aria-labelledby="Modal-Confirm" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="Confirm">تائید ثبت درخواست</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div id="message" class="alert alert-success" role="alert">

                </div>
            </div>

        </div>
    </div>
</div>
<div class="modal fade" id="Modal_req_Contract" tabindex="-1" role="dialog" aria-labelledby="req_Contract" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="req_Contract">درخواست قرارداد</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

                <p class="text-right">اگر قراردادهای موجود در لامینگو پاسخگوی نیاز شما نیست، درخواست خود را اینجا ثبت کنید تا کارشناسان حقوقی لامینگو برای رفع نیازتان در اسرع وقت با شما تماس بگیرند.</p>
                <form data-ajax="true"
                      data-ajax-url="/Contracts/customRequest"
                      data-ajax-loading="#spinner"
                      data-ajax-complete="completed"
                      data-ajax-update="message"
                      method="post">

                    <div asp-validation-summary="All" class="text-danger"></div>

                    <div class="form-group">
                        <label for="FullName" class="col-form-label">نام و نام خانوادگی : </label>
                        <input asp-for="@Model.Request.FullName" class="form-control" />
                    </div>

                    <div class="form-group">
                        <label for="Mobile" class="col-form-label">موبایل : </label>
                        <input asp-for="@Model.Request.Mobile" class="form-control" />
                    </div>

                    <div class="form-group">
                        <label for="Email" class="col-form-label">ایمیل : </label>
                        <input asp-for="@Model.Request.Email" class="form-control" />
                    </div>

                    <div class="form-group">
                        <label for="ContarctName" class="col-form-label">نام قرارداد مورد نیاز : </label>
                        <input asp-for="@Model.Request.ContractName" class="form-control" />
                    </div>

                    <div class="form-group">
                        <label for="Description" class="col-form-label">توضیحات در صورت نیاز : </label>
                        <input type="text" asp-for="@Model.Request.Description" class="form-control" />
                    </div>
                    <div class="form-group text-center">
                        <span id="spinner" style="display:none;">
                            <img src="~/Images/Loader/ajax-loader.gif" />
                        </span>
                        <button type="submit" class="btn btn-success  login">ثبت درخواست</button>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>


@section Scripts{

    <script src="~/lib/Isotope/Isotope.js"></script>
    <script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
    <script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>
    <script src="~/lib/jquery-ajax-unobtrusive-master/src/jquery.unobtrusive-ajax.js"></script>
    <script>

        //$.Isotope.prototype._positionAbs = function( x, y ) {
        //         return { right: x, top: y };
        //};

        var $grid = $('.row.wrapper_contractList').isotope({
            itemSelector: '.col-xs-12',
            layoutMode: 'fitRows',
            isOriginLeft: false
        });


        $('#filters').on('click', 'li', function () {
            var filterValue = $(this).attr('data-filter');
            $grid.isotope({ filter: filterValue });
        });

        completed = function (xhr) {
            console.log(xhr)
            $('#Modal_req_Contract input.form-control').val("").trigger('change');
            $("#message span").remove();
            $("#message").append("<span><i class='fa fa-check-square-o' style='vertical-align:sub;margin-left: 10px;font-size: 20px;'></i>" + xhr.responseJSON + "</span>")
            $('#Modal_req_Contract').modal('hide')
            $('#Modal_Confirm').modal()
        };

        $("#filters li").click(function () {

            $("#filters li").removeClass("active-filter");
            $(this).addClass("active-filter");
        });


    </script>
}
